multi_type_map_visitor.hpp File Reference

This class goes through all entries in a multi_type_map and apply a function to them. More...

`#include "claw/multi_type_map.hpp"`
`#include "claw/impl/multi_type_map_visitor.tpp"`

Go to the source code of this file.

## Classes

class | claw::multi_type_map_visitor
| This class goes through all entries in a multi_type_map and apply a function to them. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

This class goes through all entries in a multi_type_map and apply a function to them.

Author
  Julien Jorge

Definition in file multi_type_map_visitor.hpp.